The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Top Malware Downloads

Prev Next

This URL retrieves the top malware downloads.

Resource URL

GET /alerts/TopN/malware_downloads

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Query Parameters:

Field Name Description Data Type Mandatory
duration Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be:
  • LAST_5_MINUTES
  • LAST_1_HOUR
  • LAST_6_HOURS
  • LAST_12_HOURS
  • LAST_24_HOURS
  • LAST_48_HOURS
  • LAST_7_DAYS
  • LAST_14_DAYS
String No

Response Parameters

Following fields are returned.

Field Name Description Data Type
TopMalwareDownloadsList List of the top malware downloads Array

Details of fields in TopMalwareDownloadsList:

Field Name Description Data Type
fileHash The malware file hash String
attackCount Count of the attack Number

Example

Request

GET https://<NSM_IP>/sdkapi/alerts/TopN/malware_downloads?duration=LAST_14_DAYS

Payload

None

Response

 {
					"TopMalwareDownloadsList":[]
				}
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 400 3601 Invalid duration